<script lang="ts">
	import { page } from '$app/stores';

	export let label: string = '';
	export let link: string = '';
	export let contain: string = '';

	$: active = $page.route.id?.includes(contain);
</script>

<a href={link} class={'group transition duration-300 ' + (active ? 'font-bold' : '')}>
	{label}
	<span
		class={'block max-w-0 group-hover:max-w-full transition-all duration-500 h-0.5 bg-primary-500'}
	/>
</a>
